%define ver_major 2.16

Name: gnome-power-manager
Version: %ver_major.3
Release: alt1

Summary: A GNOME daemon that takes care of power management. 
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/gnome-power-manager/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

PreReq: GConf2
Requires: hal common-licenses gnome-session gnome-filesystem

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: libgnomeui-devel >= 2.14.0
BuildPreReq: libhal-devel >= 0.5.6
BuildPreReq: libdbus-glib-devel >= 0.60
BuildPreReq: libglade2-devel >= 2.5.0
BuildPreReq: libnotify-devel >= 0.3.0
BuildPreReq: libwnck-devel >= 2.10.0
BuildPreReq: libcairo-devel >= 1.0.0
BuildPreReq: libXt-devel libX11-devel libXext-devel
BuildPreReq: xmlto
# for docbook2man
BuildPreReq: docbook-utils

%description
GNOME Power Manager uses information provided by HAL to display icons and handle system and user actions in a GNOME session. Authorised users can set policy and change preferences.

GNOME Power Manager acts as a policy agent on top of the Project Utopia stack, which includes the kernel, hotplug, udev, and HAL. GNOME Power Manager listens for HAL events and responds with user-configurable reactions.

The main focus here is the user interface; e.g. allowing configuration of power management from the desktop in a sane way (no need for root password, and no need to edit configuration files)
Most of the backend code is actually in HAL for abstracting various power aware devices (UPS's) and frameworks (ACPI, PMU, APM etc.) - so the desktop parts are fairly lightweight and straightforward.

GNOME Power Manager comes in three parts:

	- gnome-power-manager:	    the manager daemon itself
	- gnome-power-preferences:  the control panel program, for configuration

%prep
%setup -q

%build
%configure \
    --enable-libnotify \
    --enable-policykit \
    --enable-docbook-docs \
	--with-dpms-ext \
    --disable-scrollkeeper --disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

# The license
ln -sf %_licensedir/GPL-2 COPYING

%find_lang --with-gnome %name

%post
%update_scrollkeeper
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper

%files -f %name.lang
%_bindir/%name
%_bindir/gnome-power-preferences
%_bindir/gnome-power-inhibit-test
%dir %_datadir/%name
%_datadir/%name/*.glade
%_datadir/gnome/autostart/%name.desktop
%_datadir/dbus-1/services/%name.service
%_desktopdir/gnome-power-preferences.desktop
%_iconsdir/hicolor/*x*/apps/gpm*.png
%_iconsdir/hicolor/scalable/apps/gpm*.svg
%config %_sysconfdir/gconf/schemas/%name.schemas
%config %_sysconfdir/dbus-1/system.d/%name.conf
%_man1dir/*.1.gz
%doc --no-dereference COPYING
%doc README NEWS TODO ChangeLog AUTHORS

%changelog
* Wed Jan 31 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version (2.16.3)
- added --with-dpms-ext to configure flags

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies
- minor cleanup

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- Initial Sisyphus package.

